Y2RU_ColorCoefficients Struct Reference

Coefficients of the YUV->RGB conversion formula. More...

`#include <y2r.h>`

## Data Fields

u16 | rgb_Y
| RGB per unit Y.
u16 | r_V
| Red per unit V.
u16 | g_V
| Green per unit V.
u16 | g_U
| Green per unit U.
u16 | b_U
| Blue per unit U.
u16 | r_offset
| Red offset.
u16 | g_offset
| Green offset.
u16 | b_offset
| Blue offset.

## Detailed Description

Coefficients of the YUV->RGB conversion formula.

A set of coefficients configuring the RGB to YUV conversion. Coefficients 0-4 are unsigned 2.8 fixed pointer numbers representing entries on the conversion matrix, while coefficient 5-7 are signed 11.5 fixed point numbers added as offsets to the RGB result.

The overall conversion process formula is:

R = trunc((rgb_Y * Y + r_V * V) + 0.75 + r_offset)
G = trunc((rgb_Y * Y - g_U * U - g_V * V) + 0.75 + g_offset)
B = trunc((rgb_Y * Y + b_U * U ) + 0.75 + b_offset)
Y2RU_ColorCoefficients::r_V
u16 r_V
Red per unit V.
Definition: y2r.h:72
Y2RU_ColorCoefficients::b_offset
u16 b_offset
Blue offset.
Definition: y2r.h:78
Y2RU_ColorCoefficients::b_U
u16 b_U
Blue per unit U.
Definition: y2r.h:75
Y2RU_ColorCoefficients::g_V
u16 g_V
Green per unit V.
Definition: y2r.h:73
Y2RU_ColorCoefficients::rgb_Y
u16 rgb_Y
RGB per unit Y.
Definition: y2r.h:71
Y2RU_ColorCoefficients::g_U
u16 g_U
Green per unit U.
Definition: y2r.h:74
Y2RU_ColorCoefficients::g_offset
u16 g_offset
Green offset.
Definition: y2r.h:77
Y2RU_ColorCoefficients::r_offset
u16 r_offset
Red offset.
Definition: y2r.h:76

The documentation for this struct was generated from the following file:

- include/3ds/services/y2r.h